Subject: Re: [PATCH iwl-net 2/4] ice: fix autoneg disable when link partner doesn't support AN

From: Simon Horman <[email-masked]>
Date: Mon, 20 Apr 2026 16:54:09 +0100

On Fri, Apr 17, 2026 at 08:29:52AM +0200, Aleksandr Loktionov wrote:
> From: Konrad Knitter <[email-masked]>
> 
> Disabling autonegotiation was silently ignored when autoneg had not yet
> completed (ICE_AQ_AN_COMPLETED was not set), leaving the configuration
> unchanged with no error. This could prevent link from forming if the
> link partner requires non-autoneg mode.
> 
> Extend the condition to also allow disabling autoneg when the link
> partner reports no AN ability (ICE_AQ_LP_AN_ABILITY clear). Gate the
> ICE_AQ_LP_AN_ABILITY check on the link being up so that stale or
> zeroed an_info when link is down does not produce a false positive.
> Introduce the helper ice_autoneg_disable_allowed() to make the check
> explicit.
> 
> Fixes: f1a4a66d2310 ("ice: fix set pause param autoneg check")

AI generated code review [1] flags that this does not seem to be
the right Fixes tag and that the following seems more appropriate:

Fixes: 48cb27f2fd18 ("ice: Implement handlers for ethtool PHY/link operations")

[1] https://netdev-ai.bots.linux.dev/ai-local.html

> Signed-off-by: Konrad Knitter <[email-masked]>
> Signed-off-by: Aleksandr Loktionov <[email-masked]>

The above not withstanding, this looks looks to me:

Reviewed-by: Simon Horman <[email-masked]>

I somehow feel obliged to acknowledge that Sashiko has provided
review of this patch. However, I don't believe any of the
issues flagged there should block progress of this patch.

You may wish to look over that review for possible follow-up activity.

...